Page MenuHomePhabricator

Argument 1 passed to FlaggedRevsUIHooks::addHideReviewedFilter() must be an instance of ChangesListSpecialPage
Closed, ResolvedPublic

Description

From fatalmonitor

Argument 1 passed to FlaggedRevsUIHooks::addHideReviewedFilter() must be an instance of ChangesListSpecialPage, SpecialNewpages given in /srv/mediawiki/php-1.29.0-wmf.21/extensions/FlaggedRevs/frontend/FlaggedRevsUI.hooks.php on line 318

Details

Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : wmf/1.29.0-wmf.21Fix filter on Special:NewPages
mediawiki/extensions/FlaggedRevs : masterFix filter on Special:NewPages
mediawiki/extensions/FlaggedRevs : wmf/1.29.0-wmf.21Remove type hint on FlaggedRevsUIHooks::addHideReviewedFilter()
mediawiki/extensions/FlaggedRevs : masterRemove type hint on FlaggedRevsUIHooks::addHideReviewedFilter()

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2017, 1:50 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2017, 2:44 PM
Reedy updated the task description. (Show Details)Apr 27 2017, 2:51 PM
mmodell triaged this task as High priority.Apr 27 2017, 7:43 PM
Reedy added a subscriber: Reedy.Apr 27 2017, 7:44 PM

Just remove the type hint. I'll fix

This is adding considerable logspam, not to mention that it's a fatal...

Reedy renamed this task from Argument 1 passed to FlaggedRevsUIHooks::addHideReviewedFilter() must be an instance of ChangesListSpecialPage, to Argument 1 passed to FlaggedRevsUIHooks::addHideReviewedFilter() must be an instance of ChangesListSpecialPage.Apr 27 2017, 7:45 PM

Change 350651 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/FlaggedRevs@master] Remove type hint on FlaggedRevsUIHooks::addHideReviewedFilter()

https://gerrit.wikimedia.org/r/350651

Change 350652 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/FlaggedRevs@wmf/1.29.0-wmf.21] Remove type hint on FlaggedRevsUIHooks::addHideReviewedFilter()

https://gerrit.wikimedia.org/r/350652

Change 350652 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.29.0-wmf.21] Remove type hint on FlaggedRevsUIHooks::addHideReviewedFilter()

https://gerrit.wikimedia.org/r/350652

Mentioned in SAL (#wikimedia-operations) [2017-04-27T19:59:46Z] <twentyafterfour@naos> Synchronized php-1.29.0-wmf.21/extensions/FlaggedRevs/frontend/FlaggedRevsUI.hooks.php: deploy fix for T163994 (duration: 01m 04s)

Now it's:
Fatal error: Call to undefined method SpecialNewpages::registerFilterGroup() in /srv/mediawiki/php-1.29.0-wmf.21/extensions/FlaggedRevs/frontend/FlaggedRevsUI.hooks.php on line 316

So @Reedy's fix wasn't really a fix :-/

Mentioned in SAL (#wikimedia-operations) [2017-04-27T20:03:03Z] <twentyafterfour> 1.29.0-wmf.21 is blocked by T163994

Change 350662 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/FlaggedRevs@master] Fix filter on Special:NewPages

https://gerrit.wikimedia.org/r/350662

Change 350651 abandoned by Reedy:
Remove type hint on FlaggedRevsUIHooks::addHideReviewedFilter()

https://gerrit.wikimedia.org/r/350651

Change 350664 had a related patch set uploaded (by Reedy; owner: Mattflaschen):
[mediawiki/extensions/FlaggedRevs@wmf/1.29.0-wmf.21] Fix filter on Special:NewPages

https://gerrit.wikimedia.org/r/350664

Change 350664 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.29.0-wmf.21] Fix filter on Special:NewPages

https://gerrit.wikimedia.org/r/350664

Change 350662 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Fix filter on Special:NewPages

https://gerrit.wikimedia.org/r/350662

Mentioned in SAL (#wikimedia-operations) [2017-04-27T20:47:32Z] <twentyafterfour@naos> Synchronized php-1.29.0-wmf.21/extensions/FlaggedRevs: deploy fix for T163994 (duration: 01m 17s)

mmodell closed this task as Resolved.Apr 27 2017, 8:57 PM
mmodell claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM